curl --request POST \
--url https://api.example.com/v1/runnables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"name": "<string>",
"config_content": "<string>",
"config_content_parsed": {
"name": "<string>",
"type": "prompt",
"prompt": {
"system": "<string>",
"messages": [
{
"role": "user",
"content": "<string>"
}
]
},
"description": "<string>",
"llms": [
{
"name": "<string>",
"model": "<string>",
"is_default": true,
"params": {}
}
],
"inputs": [
{
"name": "<string>",
"description": "<string>",
"mime_types": [
"*/*"
],
"transforms": [],
"required": true,
"metadata": {
"schema": {},
"required": false
}
}
],
"schemas": {}
},
"config_content_sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/runnables"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"name": "<string>",
"config_content": "<string>",
"config_content_parsed": {
"name": "<string>",
"type": "prompt",
"prompt": {
"system": "<string>",
"messages": [
{
"role": "user",
"content": "<string>"
}
]
},
"description": "<string>",
"llms": [
{
"name": "<string>",
"model": "<string>",
"is_default": True,
"params": {}
}
],
"inputs": [
{
"name": "<string>",
"description": "<string>",
"mime_types": ["*/*"],
"transforms": [],
"required": True,
"metadata": {
"schema": {},
"required": False
}
}
],
"schemas": {}
},
"config_content_sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
account_id: '<string>',
name: '<string>',
config_content: '<string>',
config_content_parsed: {
name: '<string>',
type: 'prompt',
prompt: {system: '<string>', messages: [{role: 'user', content: '<string>'}]},
description: '<string>',
llms: [{name: '<string>', model: '<string>', is_default: true, params: {}}],
inputs: [
{
name: '<string>',
description: '<string>',
mime_types: ['*/*'],
transforms: [],
required: true,
metadata: {schema: {}, required: false}
}
],
schemas: {}
},
config_content_sha256: '<string>',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
description: '<string>',
created_by: '<string>',
tags: ['<string>']
})
};
fetch('https://api.example.com/v1/runnables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"name": "<string>",
"config_content": "<string>",
"config_content_parsed": {
"name": "<string>",
"type": "prompt",
"prompt": {
"system": "<string>",
"messages": [
{
"role": "user",
"content": "<string>"
}
]
},
"description": "<string>",
"llms": [
{
"name": "<string>",
"model": "<string>",
"is_default": true,
"params": {}
}
],
"inputs": [
{
"name": "<string>",
"description": "<string>",
"mime_types": [
"*/*"
],
"transforms": [],
"required": true,
"metadata": {
"schema": {},
"required": false
}
}
],
"schemas": {}
},
"config_content_sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by": "<string>",
"tags": [
"<string>"
]
}Create Runnable
Create a new runnable
config_content_parsed field must match the schema for the specified config_content_type:
- For
prompttype: Must follow thePromptRunnableschema - For
flowtype: Must follow theFlowRunnableschema - For
agenttype: Must follow theAgentRunnableschema
config_content_sha256 field should be the SHA-256 hash of the config_content field.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The unique identifier for the runnable
The account ID that owns this runnable
The name of the runnable
The raw configuration content
The parsed configuration content
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
The type of runnable configuration
prompt, flow, agent SHA256 hash of the configuration content
When the runnable was created
When the runnable was last updated
Optional description of the runnable
The ID of the user who created this runnable
Optional tags for the runnable
Response
Created runnable
The unique identifier for the runnable
The account ID that owns this runnable
The name of the runnable
The raw configuration content
The parsed configuration content
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
The type of runnable configuration
prompt, flow, agent SHA256 hash of the configuration content
When the runnable was created
When the runnable was last updated
Optional description of the runnable
The ID of the user who created this runnable
Optional tags for the runnable

